Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class MediaParams

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.streaming.MediaParams

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class MediaParams
extends QTPointerRef

This class provides a collection of parameters that specify the media contents of a presentation object

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`MediaParams()` Constructs the class with a reasonable default values: Width and Height are set to 0 Matrix is set to the Identity Matrix The gdHandle is set to the Main Device The graphicsMode is set to ditherCopy The opColor is set to black Right and left volumes are set to their maximums LevelMeteringEnabled is set to false
`MediaParams(QDDimension dim, Matrix matrix, QDGraphics g, int lVol, int rVol, int bassLvl, int trebLvl)` Creates a MediaParams object
`MediaParams(QDDimension dim, QDGraphics g)` Creates a MediaParams object from a dimension and gWorld

Method Summary
`int` | `getBassLevel()` gets the bass level of the sound media
`Region` | `getClip()` gets the clip region of the video component
`byte[]` | `getFrequencyBands()` gets the frequency bands associated with the sound media
`int` | `getFrequencyBandsCount()` gets the number of frequency bands used by the sound media
`GDevice` | `getGDHandle()` gets the graphics device associated with the video component
`int` | `getGraphicsMode()` gets the graphics mode of the video component
`QDGraphics` | `getGWorld()` gets the graphics world of the video component
`float` | `getHeight()` gets the height of the video component
`int` | `getLeftVolume()` gets the left volume of the sound media
`Matrix` | `getMatrix()` gets the matrix of the video component
`QDColor` | `getOpColor()` gets the operand color of the graphics mode
`int` | `getRightVolume()` gets the right volume of the sound media
`int` | `getTrebleLevel()` gets the treble level of the sound media
`float` | `getWidth()` gets the width of the video component
`boolean` | `isLevelMeteringEnabled()` returns true if level metering is enabled
`void` | `setBassLevel(int bassLvl)` Sets the bass level of the sound media
`void` | `setClip(Region clip)` Sets the clip region of the video component
`void` | `setFrequencyBands(QTPointer bands)` Sets the frequency bands assoicated with the sound media
`void` | `setGDHandle(GDevice gdh)` Sets the graphics device used by the video media
`void` | `setGraphicsMode(int graphicsMode)` Sets the graphics display mode of the video component
`void` | `setGWorld(QDGraphics g)` Sets the offscreen graphics world used by the video media
`void` | `setHeight(float h)` Sets the height of the video component
`void` | `setLeftVolume(int leftVol)` Sets the left volume of the sound
`void` | `setLevelMeteringEnabled(boolean meteringEnabled)` Determines whethere the level metering is enabled or disabled
`void` | `setMatrix(Matrix m)` Sets the matrix associated with the video component
`void` | `setOpColor(QDColor color)` Sets the operand color associated with the graphics mode of the video component
`void` | `setRightVolume(int rightVol)` Sets the right volume of the sound
`void` | `setTrebleLevel(int trebleLvl)` Sets the treble level of the sound media
`void` | `setVolumes(int left, int right)` Sets the right and left volumes of the sound media
`void` | `setWidth(float w)` Sets the width of the video component
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, getSize`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Constructor Detail

### MediaParams

    public MediaParams()
                throws QTException

  Constructs the class with a reasonable default values: Width and Height are set to 0 Matrix is set to the Identity Matrix The gdHandle is set to the Main Device The graphicsMode is set to ditherCopy The opColor is set to black Right and left volumes are set to their maximums LevelMeteringEnabled is set to false

### MediaParams

    public MediaParams(QDDimension dim,
                       QDGraphics g)
                throws QTException

  Creates a MediaParams object from a dimension and gWorld
  Parameters:
    `dim` - QDDimension representing height and width of media object
    `g` - QDGraphics object representing the gWorld where the Media will be displayed

### MediaParams

    public MediaParams(QDDimension dim,
                       Matrix matrix,
                       QDGraphics g,
                       int lVol,
                       int rVol,
                       int bassLvl,
                       int trebLvl)
                throws QTException

  Creates a MediaParams object
  Parameters:
    `dim` - QDDimension representing height and width of media object
    `matrix` - Matrix associated with the video presenter
    `g` - QDGraphics object representing the gWorld where the Media will be displayed
    `lVol` - left volume of the audio
    `rVol` - right volume of the audio
    `bassLvl` - bass level of the audio
    `trebLvl` - treble level of the audio

Method Detail

### setWidth

    public void setWidth(float w)

  Sets the width of the video component
  Parameters:
    `w` - width

### getWidth

    public float getWidth()

  gets the width of the video component

### setHeight

    public void setHeight(float h)

  Sets the height of the video component
  Parameters:
    `g` - height

### getHeight

    public float getHeight()

  gets the height of the video component

### setMatrix

    public void setMatrix(Matrix m)

  Sets the matrix associated with the video component
  Parameters:
    `m` - Matrix

### getMatrix

    public Matrix getMatrix()

  gets the matrix of the video component

### setGWorld

    public void setGWorld(QDGraphics g)

  Sets the offscreen graphics world used by the video media
  Parameters:
    `g` - offscreen graphics world

### getGWorld

    public QDGraphics getGWorld()

  gets the graphics world of the video component

### setGDHandle

    public void setGDHandle(GDevice gdh)

  Sets the graphics device used by the video media
  Parameters:
    `gdh` - graphics device

### getGDHandle

    public GDevice getGDHandle()

  gets the graphics device associated with the video component

### setClip

    public void setClip(Region clip)

  Sets the clip region of the video component
  Parameters:
    `clip` - video clip region

### getClip

    public Region getClip()

  gets the clip region of the video component

### setGraphicsMode

    public void setGraphicsMode(int graphicsMode)

  Sets the graphics display mode of the video component
  Parameters:
    `graphicsMode` - graphics mode

### getGraphicsMode

    public int getGraphicsMode()

  gets the graphics mode of the video component

### setOpColor

    public void setOpColor(QDColor color)

  Sets the operand color associated with the graphics mode of the video component
  Parameters:
    `color` - operand color

### getOpColor

    public QDColor getOpColor()

  gets the operand color of the graphics mode

### setLeftVolume

    public void setLeftVolume(int leftVol)

  Sets the left volume of the sound
  Parameters:
    `leftVol` - left volume

### getLeftVolume

    public int getLeftVolume()

  gets the left volume of the sound media

### setRightVolume

    public void setRightVolume(int rightVol)

  Sets the right volume of the sound
  Parameters:
    `rightVol` - right volume

### getRightVolume

    public int getRightVolume()

  gets the right volume of the sound media

### setVolumes

    public void setVolumes(int left,
                           int right)

  Sets the right and left volumes of the sound media
  Parameters:
    `left` - left volume
    `right` - right volume

### setBassLevel

    public void setBassLevel(int bassLvl)

  Sets the bass level of the sound media
  Parameters:
    `bassLvl` - base level

### getBassLevel

    public int getBassLevel()

  gets the bass level of the sound media

### setTrebleLevel

    public void setTrebleLevel(int trebleLvl)

  Sets the treble level of the sound media
  Parameters:
    `trebleLvl` - treble level

### getTrebleLevel

    public int getTrebleLevel()

  gets the treble level of the sound media

### setFrequencyBands

    public void setFrequencyBands(QTPointer bands)
                           throws QTException

  Sets the frequency bands assoicated with the sound media
  Parameters:
    `bands` - frequency bands

### getFrequencyBandsCount

    public int getFrequencyBandsCount()

  gets the number of frequency bands used by the sound media

### getFrequencyBands

    public byte[] getFrequencyBands()

  gets the frequency bands associated with the sound media

### setLevelMeteringEnabled

    public void setLevelMeteringEnabled(boolean meteringEnabled)

  Determines whethere the level metering is enabled or disabled
  Parameters:
    `meteringEnabled` - true if metering is enabled

### isLevelMeteringEnabled

    public boolean isLevelMeteringEnabled()

  returns true if level metering is enabled

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTPointerRef`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD